"invalid locale" warning on deployment-restbase02.deployment-prep.eqiad.wmflabs
Closed, ResolvedPublic

Description

$ ssh deployment-restbase02
Last login: Mon Jan  8 21:24:10 2018 from 10.68.18.65
krenair@deployment-restbase02:~$ sudo -i
_____________________________________________________________________
WARNING! Your environment specifies an invalid locale.
 This can affect your user experience significantly, including the
 ability to manage packages. You may install the locales by running:

p   sudo apt-get install language-pack-en
     or
   sudo locale-gen en_GB.UTF-8

To see all available language packs, run:
   apt-cache search "^language-pack-[a-z][a-z]$"
To disable this message for all users, run:
   sudo touch /var/lib/cloud/instance/locale-check.skip
_____________________________________________________________________

root@deployment-restbase02:~# 
Krenair created this task.May 27 2018, 6:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2018, 6:53 PM
Krenair added a comment.EditedMay 27 2018, 6:54 PM

Where are these lines (example from 01):

Linux deployment-restbase01 4.9.0-0.bpo.5-amd64 #1 SMP Debian 4.9.65-3+deb9u1~bpo8+2 (2018-01-04) x86_64
Debian GNU/Linux 8.4 (jessie)
deployment-restbase01 is a Cassandra server (cassandra)
deployment-restbase01 is a Restbase-dev (labs) (restbase)
The last Puppet run was at Sun May 27 18:23:37 UTC 2018 (25 minutes ago).

?

mobrovac added a subscriber: mobrovac.

Not sure what that is about. Puppet runs fine, though.

Vvjjkkii renamed this task from Something is wrong with deployment-restbase02.deployment-prep.eqiad.wmflabs to y6baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
mobrovac renamed this task from y6baaaaaaa to Something is wrong with deployment-restbase02.deployment-prep.eqiad.wmflabs.Jul 1 2018, 11:08 AM
mobrovac lowered the priority of this task from High to Normal.
mobrovac updated the task description. (Show Details)
CommunityTechBot raised the priority of this task from Normal to Needs Triage.Jul 5 2018, 6:54 PM
mobrovac triaged this task as Normal priority.Jul 6 2018, 9:27 AM
Krinkle renamed this task from Something is wrong with deployment-restbase02.deployment-prep.eqiad.wmflabs to "invalid locale" warning on deployment-restbase02.deployment-prep.eqiad.wmflabs.Jul 7 2018, 7:46 PM
mobrovac closed this task as Resolved.
mobrovac claimed this task.

Not happening any longer after fixing T186750: Reset RESTBase deployment-prep environment.

Mentioned in SAL (#wikimedia-releng) [2018-07-30T19:34:20Z] <Krenair> copied /etc/pam.d/sshd from deployment-restbase01 to deployment-restbase02 to fix missing MOTD, T195709